0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_matrix_factorisation
GTX Extensions (Experimental)

Functions to factor matrices in various forms. More...

## Functions
template<length_t C, length_t R, typename T , qualifier P, template< length_t, length_t, typename, qualifier > class matType>
GLM_FUNC_DECL matType< C, R, T, P > | fliplr (matType< C, R, T, P > const &in)
| Flips the matrix columns right and left. More...
template<length_t C, length_t R, typename T , qualifier P, template< length_t, length_t, typename, qualifier > class matType>
GLM_FUNC_DECL matType< C, R, T, P > | flipud (matType< C, R, T, P > const &in)
| Flips the matrix rows up and down. More...
template<length_t C, length_t R, typename T , qualifier P, template< length_t, length_t, typename, qualifier > class matType>
GLM_FUNC_DECL void | qr_decompose (matType< C, R, T, P > const &in, matType<(C< R?C:R), R, T, P > &q, matType< C,(C< R?C:R), T, P > &r)
| Performs QR factorisation of a matrix. More...
template<length_t C, length_t R, typename T , qualifier P, template< length_t, length_t, typename, qualifier > class matType>
GLM_FUNC_DECL void | rq_decompose (matType< C, R, T, P > const &in, matType<(C< R?C:R), R, T, P > &r, matType< C,(C< R?C:R), T, P > &q)
| Performs RQ factorisation of a matrix. More...

## Detailed Description

Functions to factor matrices in various forms.

<glm/gtx/matrix_factorisation.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL matType<C, R, T, P> glm::fliplr | ( | matType< C, R, T, P > const & | in | ) |

Flips the matrix columns right and left.

From GLM_GTX_matrix_factorisation extension.

GLM_FUNC_DECL matType<C, R, T, P> glm::flipud | ( | matType< C, R, T, P > const & | in | ) |

Flips the matrix rows up and down.

From GLM_GTX_matrix_factorisation extension.

GLM_FUNC_DECL void glm::qr_decompose | ( | matType< C, R, T, P > const & | in | ) |

Performs QR factorisation of a matrix.

Returns 2 matrices, q and r, such that the columns of q are orthonormal and span the same subspace than those of the input matrix, r is an upper triangular matrix, and q*r=in. Given an n-by-m input matrix, q has dimensions min(n,m)-by-m, and r has dimensions n-by-min(n,m). From GLM_GTX_matrix_factorisation extension.

GLM_FUNC_DECL void glm::rq_decompose | ( | matType< C, R, T, P > const & | in | ) |

Performs RQ factorisation of a matrix.

Returns 2 matrices, r and q, such that r is an upper triangular matrix, the rows of q are orthonormal and span the same subspace than those of the input matrix, and r*q=in. Note that in the context of RQ factorisation, the diagonal is seen as starting in the lower-right corner of the matrix, instead of the usual upper-left. Given an n-by-m input matrix, r has dimensions min(n,m)-by-m, and q has dimensions n-by-min(n,m). From GLM_GTX_matrix_factorisation extension.